package cn.im.trafficplan.model;

import cn.base.bean.BaseBean;
//[交通预案联动设备信息表]

public class TrafficplanlinkagedeviceBean extends BaseBean implements java.io.Serializable {
	private String linkageID;//[联动设备ID]
	private String planID;//[预案ID]
	private String linkageDeviceType;//[联动设备类型，1-信息发布；2-诱导灯联动； 3-大屏上墙； 4-平台通信； 5-语音提醒；6-声光报警；7-短信通知；99-结束预案]
	private String linkageDeviceName;//[联动设备类型名称]
	private int linkageOrder;//[联动顺序]
	private String execModel;//[执行模式，0-自动执行；1-手动执行；2-延时执行；]
	private String delayTime;//[延时时长(s)]
	private String createAccount;//[创建人]
	private String createTime;//[创建时间]
	private String modifyAccount;//[修改人]
	private String modifyTime;//[修改时间]
	public void setLinkageID(String linkageID){
		this.linkageID = linkageID;
	}
	public String getLinkageID(){
		return linkageID;
	}
	public void setPlanID(String planID){
		this.planID = planID;
	}
	public String getPlanID(){
		return planID;
	}
	public void setLinkageDeviceType(String linkageDeviceType){
		this.linkageDeviceType = linkageDeviceType;
	}
	public String getLinkageDeviceType(){
		return linkageDeviceType;
	}
	public void setLinkageDeviceName(String linkageDeviceName){
		this.linkageDeviceName = linkageDeviceName;
	}
	public String getLinkageDeviceName(){
		return linkageDeviceName;
	}
	public void setLinkageOrder(int linkageOrder){
		this.linkageOrder = linkageOrder;
	}
	public int getLinkageOrder(){
		return linkageOrder;
	}
	public void setExecModel(String execModel){
		this.execModel = execModel;
	}
	public String getExecModel(){
		return execModel;
	}
	public void setDelayTime(String delayTime){
		this.delayTime = delayTime;
	}
	public String getDelayTime(){
		return delayTime;
	}
	public void setCreateAccount(String createAccount){
		this.createAccount = createAccount;
	}
	public String getCreateAccount(){
		return createAccount;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void setModifyAccount(String modifyAccount){
		this.modifyAccount = modifyAccount;
	}
	public String getModifyAccount(){
		return modifyAccount;
	}
	public void setModifyTime(String modifyTime){
		this.modifyTime = modifyTime;
	}
	public String getModifyTime(){
		return modifyTime;
	}
}